Retrieves all the user week approval

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_week_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

approved_date_start

Starting date of the approved range

date

Required

approved_date_end

Ending date of the approved range

date

Required

date_approval

Date+Time when the approval occured

date

Required

is_approved

Indicate if the selection (range) is approved

boolean

Required

approved_by_user_id

Foreign key of user,who did the approval

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "b2823dbf-99ad-484a-ac5f-ba3d4ccfab0c",
  "user_id": "8bc473e1-35a3-49ac-b7f7-9ff907aedb68",
  "approved_date_start": "2026-11-04T00:47:22.1679526+00:00",
  "approved_date_end": "2026-11-04T00:47:22.1679526+00:00",
  "date_approval": "2026-11-04T00:47:22.1679526+00:00",
  "is_approved": true,
  "approved_by_user_id": "33c54441-9c21-48e9-86ed-0fcef45ca626",
  "modified_dateutc": "2026-11-04T00:47:22.1679526+00:00"
}